//
// Created by jovian on 18/08/17.
//

#ifndef SPACEEXPANSION_PLANETSTEP_H
#define SPACEEXPANSION_PLANETSTEP_H

#include "../Contents/PlanetDef.h"

class PlanetStep {
    // Methods
public :
    PlanetStep(int delay);

    void callApply(PlanetDef &def); // Call apply if time is elapsed

private:
    virtual void apply(PlanetDef &def) = 0; // Apply rule

    // Attributes
protected:
    const int m_delay; // Number of frames between each application
    int m_elapsed;
};


#endif //SPACEEXPANSION_PLANETSTEP_H
