//
// Created by jovian on 18/08/17.
//

#ifndef SPACEEXPANSION_CAMERA_H
#define SPACEEXPANSION_CAMERA_H

#include "Input.h"
#include <Box2D/Common/b2Math.h>

class Camera {
    // Methods
public:
    Camera();

    virtual ~Camera();

    void refresh(Input *input);

    bool getInfoWanted() const;

    const b2Vec2 &getPos() const;

    const b2Vec2 &getCursorPos() const;

    float getZoom() const;

    // Attributes
private:
    b2Vec2 m_pos;
    b2Vec2 m_cursorPos;
    float m_zoom;

    bool m_press;
    bool m_infoWanted;
};


#endif //SPACEEXPANSION_CAMERA_H
